Несколько уязвимостей в VLC Media Player

Дата публикации:
03.12.2007
Дата изменения:
15.03.2008
Всего просмотров:
2162
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-4619
CVE-2007-6262
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VLC Media Player 0.x
Уязвимые версии: VLC Media Player версии до 0.8.6d

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки в ActiveX плагине (axvlc.dll). Удаленный пользователь может с помощью специально сформированного Web сайта перезаписать определенные участки памяти и выполнить произвольный код на целевой системе.

2. Целочисленные переполнения существуют из-за того, что приложение использует уязвимую FLAC библиотеку. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/304737.php

URL производителя: www.videolan.org/vlc/

Решение: Установите последнюю версию 0.8.6d с сайта производителя.

Журнал изменений:

04.12.2007
Изменено описание уязвимости #1
Добавлен PoC код.

Ссылки: VLC 0.86 < 0.86d ActiveX Remote Bad Pointer Initialization PoC

или введите имя

CAPTCHA